| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Attributes | List of all members
IG.Lib.HtmlConst Class Reference

Contains a number of important constants used in Html. More...

## Public Attributes
const string | AttributeClass = "class"
| The class attribute. Specifies one or more classnames for an element (refers to a class in a style sheet). More...
const string | AttributeId = "id"
| The id attribute. Specifies a unique id for an element. More...
const string | AttributeStyle = "style"
| The style attribute. Specifies an inline CSS style for an element. More...
const string | AttributeTitle = "title"
| The style attribute. Specifies extra information about an element. More...
const string | AttributeTextDirection = "dir"
| The text direction attribute. Specifies text direction for the content in an element. More...
const string | AttributeLanguage = "lang"
| The language attribute. Specifies the language of the element's content. More...
const string | AttributeLanguageXml = "xml:lang"
| The xml language attribute. Specifies the language of the element's content (for XHTML documents). More...
const string | AttributeShortcutKey = "accesskey"
| The shortcut key attribute. Specifies a shortcut key to activate/focus an element. More...
const string | AttributeTabIndex = "tabindex"
| The tab index attribute. Specifies the tabbing order of an element. More...

## Detailed Description

Contains a number of important constants used in Html.

$A Igor feb12;

## Member Data Documentation

const string IG.Lib.HtmlConst.AttributeClass = "class"

The class attribute. Specifies one or more classnames for an element (refers to a class in a style sheet).

const string IG.Lib.HtmlConst.AttributeId = "id"

The id attribute. Specifies a unique id for an element.

const string IG.Lib.HtmlConst.AttributeStyle = "style"

The style attribute. Specifies an inline CSS style for an element.

const string IG.Lib.HtmlConst.AttributeTitle = "title"

The style attribute. Specifies extra information about an element.

const string IG.Lib.HtmlConst.AttributeTextDirection = "dir"

The text direction attribute. Specifies text direction for the content in an element.

const string IG.Lib.HtmlConst.AttributeLanguage = "lang"

The language attribute. Specifies the language of the element's content.

const string IG.Lib.HtmlConst.AttributeLanguageXml = "xml:lang"

The xml language attribute. Specifies the language of the element's content (for XHTML documents).

const string IG.Lib.HtmlConst.AttributeShortcutKey = "accesskey"

The shortcut key attribute. Specifies a shortcut key to activate/focus an element.

const string IG.Lib.HtmlConst.AttributeTabIndex = "tabindex"

The tab index attribute. Specifies the tabbing order of an element.

The documentation for this class was generated from the following file:

- igbase/data/presentation/HtmlWriter.cs